CqExistsException (Apache Geode 1.13.0)
Date: 2020-09-07

org.apache.geode.cache.query

## Class CqExistsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.geode.GemFireCheckedException
      - - org.apache.geode.cache.query.QueryException
        - - org.apache.geode.cache.query.CqExistsException

- All Implemented Interfaces:
    Serializable

      public class CqExistsException
      extends QueryException

  Thrown if a CQ by this name already exists on this client
  Since:
    GemFire 5.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CqExistsException(String msg)` Constructor used by concrete subclasses
    `CqExistsException(String msg, Throwable cause)` Constructor used by concrete subclasses
    `CqExistsException(Throwable cause)` Constructor used by concrete subclasses

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.GemFireCheckedException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CqExistsException

          public CqExistsException(String msg,
                                   Throwable cause)

      Constructor used by concrete subclasses
      Parameters:
        `msg` - the error message
        `cause` - a Throwable cause of this exception

    - #### CqExistsException

          public CqExistsException(String msg)

      Constructor used by concrete subclasses
      Parameters:
        `msg` - the error message

    - #### CqExistsException

          public CqExistsException(Throwable cause)

      Constructor used by concrete subclasses
      Parameters:
        `cause` - a Throwable cause of this exception